%global srcname oslo.db

Name:           python-oslo-db
Version:        15.0.0
Release:        %mkrel 1
Summary:        Oslo Database library

Group:          Development/Python
License:        MIT
URL:            https://www.openstack.org/
Source0:        https://pypi.python.org/packages/source/o/%{srcname}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

%description
Oslo Database library.

%package -n     python3-oslo-db
Summary:        Oslo Database library
Group:          Development/Python
BuildRequires: pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(pbr)
%{?python_provide:%python_provide python3-oslo-db}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-oslo-db
Oslo Database library.

%prep
%setup -q -n %{srcname}-%{version}


# relax pbr dependency
sed -i 's|pbr!=2.1.0,>=2.0.0|pbr>=2.0.0|' requirements.txt

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files oslo_db

%files -n python3-oslo-db -f %{pyproject_files}
%license LICENSE
%doc AUTHORS ChangeLog CONTRIBUTING.rst README.rst




%changelog
* Fri Jun 28 2024 papoteur <papoteur> 15.0.0-1.mga10
+ Revision: 2077679
- new version 15.0.0

* Tue Jan 23 2024 papoteur <papoteur> 14.1.0-1.mga10
+ Revision: 2033946
- new version 14.1.0

* Wed Sep 07 2022 neoclust <neoclust> 11.2.0-1.mga9
+ Revision: 1885108
- New version  11.2.0

* Thu Mar 24 2022 umeabot <umeabot> 8.5.0-7.mga9
+ Revision: 1825026
- Mageia 9 Mass Rebuild

* Wed Feb 23 2022 mrambo3501 <mrambo3501> 8.5.0-6.mga9
+ Revision: 1783450
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 8.5.0-5.mga9
+ Revision: 1732645
- Rebuild for python 3.9

* Fri Jan 29 2021 daviddavid <daviddavid> 8.5.0-4.mga8
+ Revision: 1674017
- revert commit r1673953, but relax python-pbr auto-dependency

* Fri Jan 29 2021 neoclust <neoclust> 8.5.0-3.mga8
+ Revision: 1673953
- Let RPM handle the dependencies

* Fri Jan 29 2021 neoclust <neoclust> 8.5.0-2.mga8
+ Revision: 1673921
- Fix python3 package name

* Fri Jan 29 2021 neoclust <neoclust> 8.5.0-1.mga8
+ Revision: 1673915
- imported package python-oslo-db

